# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl rpm-macros-mageia-compat
BuildRequires: perl(File/Find/Object.pm) perl(IO/All.pm) perl(Pod/Usage.pm) perl(Test/Run/CmdLine/Iface.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    XML-Grammar-Fiction
%define upstream_version v0.16.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    0.16.0
Release:    alt1_1

Summary:    Line iterator base
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(Exception/Class.pm)
BuildRequires: perl(Exporter.pm)
BuildRequires: perl(File/ShareDir.pm)
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(Getopt/Long.pm)
BuildRequires: perl(HTML/Entities.pm)
BuildRequires: perl(IO/Handle.pm)
BuildRequires: perl(IPC/Open3.pm)
BuildRequires: perl(List/MoreUtils.pm)
BuildRequires: perl(List/Util.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(MooX.pm)
BuildRequires: perl(MooX/late.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/XML/Ordered.pm)
BuildRequires: perl(XML/GrammarBase/Role/RelaxNG.pm)
BuildRequires: perl(XML/GrammarBase/Role/XSLT.pm)
BuildRequires: perl(XML/LibXML.pm)
BuildRequires: perl(XML/LibXSLT.pm)
BuildRequires: perl(XML/Writer.pm)
BuildRequires: perl(autodie.pm)
BuildRequires: perl(base.pm)
BuildRequires: perl(lib.pm)
BuildRequires: perl(parent.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(utf8.pm)
BuildRequires: perl(warnings.pm)
BuildArch:  noarch
Source44: import.info

%description
XML::Grammar::Fiction is a CPAN distribution that facilitates writing prose
fiction (= stories, novels, novellas, etc.). What it does is:

* 1. Converting a well-formed plain text format to a specialized XML
  format.

* 2. Converting the XML to DocBook/XML or directly to HTML for rendering.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%perl_vendor_privlib/*

%changelog
* Sat Oct 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.16.0-alt1_1
- new version

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.15.0-alt1_1
- update by mgaimport

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.14.12-alt1_2
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.14.11-alt1_3
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.14.11-alt1_2
- update by mgaimport

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.14.11-alt1_1
- update by mgaimport

* Fri Dec 19 2014 Igor Vlasenko <viy@altlinux.ru> 0.14.10-alt2_3
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.14.10-alt2_1
- rebuild to get rid of unmets

* Sat Aug 30 2014 Igor Vlasenko <viy@altlinux.ru> 0.14.10-alt1_1
- update by mgaimport

* Thu Feb 20 2014 Igor Vlasenko <viy@altlinux.ru> 0.14.8-alt1_1
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.14.7-alt1_2
- mga update

* Wed Oct 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.14.7-alt1_1
- mga update

* Mon Jul 29 2013 Igor Vlasenko <viy@altlinux.ru> v0.9.3-alt1_1
- converted for ALT Linux by srpmconvert tools

